package org.communiquons.dccaggregator.ext

import android.content.Context
import androidx.annotation.DimenRes
import androidx.annotation.Dimension

/**
 * Return the dimension corresponding to the current theme of the receiver id.
 *
 * @param context context where the theme is.
 * @return Resource dimension value multiplied by the appropriate metric.
 */
@Dimension
fun @receiver:DimenRes Int.toDimensSize(context: Context): Float = context.resources.getDimension(this)